Streaming Policies - Create

Media Services hesabında Akış İlkesi oluşturma

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaServices/{accountName}/streamingPolicies/{streamingPolicyName}?api-version=2020-05-01

URI Parametreleri

Name In Required Type Description
accountName
path True
  • string

Hesap Media Services adı.

resourceGroupName
path True
  • string

Azure aboneliği içindeki kaynak grubunun adı.

streamingPolicyName
path True
  • string

Akış İlkesi adı.

subscriptionId
path True
  • string

Bir abonelik için benzersiz Microsoft Azure tanımlayıcısı.

api-version
query True
  • string

İstemci isteğiyle kullanılacak API sürümü.

İstek Gövdesi

Name Type Description
properties.commonEncryptionCbcs

CommonEncryptionCbcs yapılandırması

properties.commonEncryptionCenc

CommonEncryptionCenc yapılandırması

properties.defaultContentKeyPolicyName
  • string

Geçerli Akış İlkesi tarafından kullanılan varsayılan ContentKey

properties.envelopeEncryption

EnvelopeEncryption yapılandırması

properties.noEncryption

NoEncryption yapılandırmaları

Yanıtlar

Name Type Description
201 Created

Oluşturulan

Other Status Codes

Ayrıntılı hata bilgileri.

Örnekler

Creates a Streaming Policy with clear streaming
Creates a Streaming Policy with commonEncryptionCbcs only
Creates a Streaming Policy with commonEncryptionCenc only
Creates a Streaming Policy with envelopeEncryption only
Creates a Streaming Policy with secure streaming

Creates a Streaming Policy with clear streaming

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingPolicies/UserCreatedClearStreamingPolicy?api-version=2020-05-01
{
  "properties": {
    "noEncryption": {
      "enabledProtocols": {
        "download": true,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      }
    }
  }
}

Sample Response

{
  "name": "UserCreatedClearStreamingPolicy",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingPolicies/UserCreatedClearStreamingPolicy",
  "type": "Microsoft.Media/mediaservices/streamingPolicies",
  "properties": {
    "created": "2018-08-08T18:29:31.1535417Z",
    "noEncryption": {
      "enabledProtocols": {
        "download": true,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      }
    }
  }
}

Creates a Streaming Policy with commonEncryptionCbcs only

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithCommonEncryptionCbcsOnly?api-version=2020-05-01
{
  "properties": {
    "defaultContentKeyPolicyName": "PolicyWithMultipleOptions",
    "commonEncryptionCbcs": {
      "enabledProtocols": {
        "download": false,
        "dash": false,
        "hls": true,
        "smoothStreaming": false
      },
      "contentKeys": {
        "defaultKey": {
          "label": "cbcsDefaultKey"
        }
      },
      "drm": {
        "fairPlay": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/fairplay/{ContentKeyId}",
          "allowPersistentLicense": true
        }
      }
    }
  }
}

Sample Response

{
  "name": "UserCreatedSecureStreamingPolicyWithCommonEncryptionCbcsOnly",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithCommonEncryptionCbcsOnly",
  "type": "Microsoft.Media/mediaservices/streamingPolicies",
  "properties": {
    "created": "2018-08-08T18:29:31.6197199Z",
    "defaultContentKeyPolicyName": "PolicyWithMultipleOptions",
    "commonEncryptionCbcs": {
      "enabledProtocols": {
        "download": false,
        "dash": false,
        "hls": true,
        "smoothStreaming": false
      },
      "clearTracks": [],
      "contentKeys": {
        "defaultKey": {
          "label": "cbcsDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "drm": {
        "fairPlay": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/fairplay/{ContentKeyId}",
          "allowPersistentLicense": true
        }
      }
    }
  }
}

Creates a Streaming Policy with commonEncryptionCenc only

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithCommonEncryptionCencOnly?api-version=2020-05-01
{
  "properties": {
    "defaultContentKeyPolicyName": "PolicyWithPlayReadyOptionAndOpenRestriction",
    "commonEncryptionCenc": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": false,
        "smoothStreaming": true
      },
      "clearTracks": [
        {
          "trackSelections": [
            {
              "property": "FourCC",
              "operation": "Equal",
              "value": "hev1"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "cencDefaultKey"
        }
      },
      "drm": {
        "playReady": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/playready/{ContentKeyId}",
          "playReadyCustomAttributes": "PlayReady CustomAttributes"
        },
        "widevine": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/widevine/{ContentKeyId"
        }
      }
    }
  }
}

Sample Response

{
  "name": "UserCreatedSecureStreamingPolicyWithCommonEncryptionCencOnly",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithCommonEncryptionCencOnly",
  "type": "Microsoft.Media/mediaservices/streamingPolicies",
  "properties": {
    "created": "2018-08-08T18:29:31.4678543Z",
    "defaultContentKeyPolicyName": "PolicyWithPlayReadyOptionAndOpenRestriction",
    "commonEncryptionCenc": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": false,
        "smoothStreaming": true
      },
      "clearTracks": [
        {
          "trackSelections": [
            {
              "property": "FourCC",
              "operation": "Equal",
              "value": "hev1"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "cencDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "drm": {
        "playReady": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/playready/{ContentKeyId}",
          "playReadyCustomAttributes": "PlayReady CustomAttributes"
        },
        "widevine": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/widevine/{ContentKeyId"
        }
      }
    }
  }
}

Creates a Streaming Policy with envelopeEncryption only

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithEnvelopeEncryptionOnly?api-version=2020-05-01
{
  "properties": {
    "defaultContentKeyPolicyName": "PolicyWithClearKeyOptionAndTokenRestriction",
    "envelopeEncryption": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      },
      "contentKeys": {
        "defaultKey": {
          "label": "aesDefaultKey"
        }
      },
      "customKeyAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/envelope/{ContentKeyId}"
    }
  }
}

Sample Response

{
  "name": "UserCreatedSecureStreamingPolicyWithEnvelopeEncryptionOnly",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicyWithEnvelopeEncryptionOnly",
  "type": "Microsoft.Media/mediaservices/streamingPolicies",
  "properties": {
    "created": "2018-08-08T18:29:31.3055712Z",
    "defaultContentKeyPolicyName": "PolicyWithClearKeyOptionAndTokenRestriction",
    "envelopeEncryption": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      },
      "clearTracks": [],
      "contentKeys": {
        "defaultKey": {
          "label": "aesDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "customKeyAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/envelope/{ContentKeyId}"
    }
  }
}

Creates a Streaming Policy with secure streaming

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicy?api-version=2020-05-01
{
  "properties": {
    "defaultContentKeyPolicyName": "PolicyWithMultipleOptions",
    "envelopeEncryption": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      },
      "contentKeys": {
        "defaultKey": {
          "label": "aesDefaultKey"
        }
      },
      "customKeyAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/envelope/{ContentKeyId}"
    },
    "commonEncryptionCenc": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": false,
        "smoothStreaming": true
      },
      "clearTracks": [
        {
          "trackSelections": [
            {
              "property": "FourCC",
              "operation": "Equal",
              "value": "hev1"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "cencDefaultKey"
        }
      },
      "drm": {
        "playReady": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/playready/{ContentKeyId}",
          "playReadyCustomAttributes": "PlayReady CustomAttributes"
        },
        "widevine": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/widevine/{ContentKeyId"
        }
      }
    },
    "commonEncryptionCbcs": {
      "enabledProtocols": {
        "download": false,
        "dash": false,
        "hls": true,
        "smoothStreaming": false
      },
      "contentKeys": {
        "defaultKey": {
          "label": "cbcsDefaultKey"
        }
      },
      "drm": {
        "fairPlay": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/fairplay/{ContentKeyId}",
          "allowPersistentLicense": true
        }
      }
    }
  }
}

Sample Response

{
  "name": "UserCreatedSecureStreamingPolicy",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingPolicies/UserCreatedSecureStreamingPolicy",
  "type": "Microsoft.Media/mediaservices/streamingPolicies",
  "properties": {
    "created": "2018-08-08T18:29:31.7715696Z",
    "defaultContentKeyPolicyName": "PolicyWithMultipleOptions",
    "envelopeEncryption": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": true,
        "smoothStreaming": true
      },
      "clearTracks": [],
      "contentKeys": {
        "defaultKey": {
          "label": "aesDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "customKeyAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/envelope/{ContentKeyId}"
    },
    "commonEncryptionCenc": {
      "enabledProtocols": {
        "download": false,
        "dash": true,
        "hls": false,
        "smoothStreaming": true
      },
      "clearTracks": [
        {
          "trackSelections": [
            {
              "property": "FourCC",
              "operation": "Equal",
              "value": "hev1"
            }
          ]
        }
      ],
      "contentKeys": {
        "defaultKey": {
          "label": "cencDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "drm": {
        "playReady": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/playready/{ContentKeyId}",
          "playReadyCustomAttributes": "PlayReady CustomAttributes"
        },
        "widevine": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/widevine/{ContentKeyId"
        }
      }
    },
    "commonEncryptionCbcs": {
      "enabledProtocols": {
        "download": false,
        "dash": false,
        "hls": true,
        "smoothStreaming": false
      },
      "clearTracks": [],
      "contentKeys": {
        "defaultKey": {
          "label": "cbcsDefaultKey"
        },
        "keyToTrackMappings": []
      },
      "drm": {
        "fairPlay": {
          "customLicenseAcquisitionUrlTemplate": "https://contoso.com/{AssetAlternativeId}/fairplay/{ContentKeyId}",
          "allowPersistentLicense": true
        }
      }
    }
  }
}

Tanımlar

ApiError

API hatası.

CbcsDrmConfiguration

Akış İlkesinde CommonEncryptionCbcs şemasının DRM yapılandırmalarını belirtme sınıfı

CencDrmConfiguration

Akış İlkesinde CommonEncryptionCenc şemasının DRM yapılandırmalarını belirtme sınıfı

CommonEncryptionCbcs

CommonEncryptionCbcs şifreleme şeması için sınıf

CommonEncryptionCenc

Zarf şifreleme şeması için sınıf

createdByType

Kaynağı oluşturan kimlik türü.

DefaultKey

Her şifreleme şeması için varsayılan içerik anahtarının özelliklerini belirtmek için sınıfı

EnabledProtocols

Hangi protokollerin etkin olduğunu belirten sınıf

EnvelopeEncryption

EnvelopeEncryption şifreleme şeması için sınıf

NoEncryption

NoEncryption şeması için sınıf

ODataError

Hata hakkında bilgi.

StreamingPolicy

Akış İlkesi kaynağı

StreamingPolicyContentKey

İçerik anahtarının özelliklerini belirtmek için sınıf

StreamingPolicyContentKeys

Akış İlkesi'nin tüm içerik anahtarlarının özelliklerini belirtmek için sınıfı

StreamingPolicyFairPlayConfiguration

Akış Ilkesinde FairPlay konfigürasyonları belirten sınıf

StreamingPolicyPlayReadyConfiguration

Akış İlkesinde PlayReady yapılandırmalarını belirtme sınıfı

StreamingPolicyWidevineConfiguration

Akış İlkesi'nde Widevine yapılandırmalarını belirtme sınıfı

systemData

Kaynağın oluşturulması ve son değişikliğiyle ilgili meta veriler.

TrackPropertyCompareOperation

Özellik koşulu izleme işlemi

TrackPropertyCondition

Tek bir izleme özelliği koşulu belirtmek için sınıf

TrackPropertyType

Özellik türünü izle

TrackSelection

İz seçmek için sınıf

ApiError

API hatası.

Name Type Description
error

Hata özellikleri.

CbcsDrmConfiguration

Akış İlkesinde CommonEncryptionCbcs şemasının DRM yapılandırmalarını belirtme sınıfı

Name Type Description
fairPlay

FairPlay yapılandırmaları

playReady

PlayReady yapılandırmaları

widevine

Widevine yapılandırmaları

CencDrmConfiguration

Akış İlkesinde CommonEncryptionCenc şemasının DRM yapılandırmalarını belirtme sınıfı

Name Type Description
playReady

PlayReady yapılandırmaları

widevine

Widevine yapılandırmaları

CommonEncryptionCbcs

CommonEncryptionCbcs şifreleme şeması için sınıf

Name Type Description
clearTracks

Hangi parçaların şifrelenmesi gerektiğini temsil ediyor

contentKeys

Her şifreleme şeması için varsayılan içerik anahtarını temsil eden ve belirli parçalar için ayrı içerik anahtarları

drm

Geçerli şifreleme şeması için DRM'leri yapılandırma

enabledProtocols

Desteklenen protokolleri temsil

CommonEncryptionCenc

Zarf şifreleme şeması için sınıf

Name Type Description
clearTracks

Hangi parçaların şifrelenmesi gerektiğini temsil ediyor

contentKeys

Her şifreleme şeması için varsayılan içerik anahtarını temsil eden ve belirli parçalar için ayrı içerik anahtarları

drm

CommonEncryptionCenc şifreleme şeması için DRM'leri yapılandırma

enabledProtocols

Desteklenen protokolleri temsil

createdByType

Kaynağı oluşturan kimlik türü.

Name Type Description
Application
  • string
Key
  • string
ManagedIdentity
  • string
User
  • string

DefaultKey

Her şifreleme şeması için varsayılan içerik anahtarının özelliklerini belirtmek için sınıfı

Name Type Description
label
  • string

Etiket, Akış Bulucu oluşturulurken İçerik Anahtarı belirtmek için kullanılabilir

policyName
  • string

Varsayılan Anahtar tarafından kullanılan ilke

EnabledProtocols

Hangi protokollerin etkin olduğunu belirten sınıf

Name Type Description
dash
  • boolean

DASH protokolünü etkinleştirme veya etkinleştirme

download
  • boolean

İndirme protokolünü etkinleştir veya etkinleştir

hls
  • boolean

HLS protokolünü etkinleştir veya etkinleştirme

smoothStreaming
  • boolean

SmoothStreaming protokolünü etkinleştirme veya etkinleştirme

EnvelopeEncryption

EnvelopeEncryption şifreleme şeması için sınıf

Name Type Description
clearTracks

Hangi parçaların şifrelenmesi gerektiğini temsil ediyor

contentKeys

Her şifreleme şeması için varsayılan içerik anahtarını temsil eden ve belirli parçalar için ayrı içerik anahtarları

customKeyAcquisitionUrlTemplate
  • string

Son kullanıcı oyuncularına anahtarları teslim etmek için özel hizmetin URL'sinin şablonu. Anahtar verme için Azure Media Services gerekli değildir. Şablon, hizmetin çalışma zamanında isteğine özgü değerle güncelleştirecek değiştirilebilir belirteçleri destekler. Şu anda desteklenen belirteç değerleri { AlternativeMediaId} değeridir ve bunun yerine StreamingLocatorId.AlternativeMediaId ve {ContentKeyId} değeri kullanılır. Bu değer, istenen anahtarın tanımlayıcısının değeriyle değiştirilir.

enabledProtocols

Desteklenen protokolleri temsil

NoEncryption

NoEncryption şeması için sınıf

Name Type Description
enabledProtocols

Desteklenen protokolleri temsil

ODataError

Hata hakkında bilgi.

Name Type Description
code
  • string

Dilden bağımsız bir hata adı.

details

Hata ayrıntıları.

message
  • string

Hata iletisi.

target
  • string

Hatanın hedefi (örneğin, hata özelliği adı).

StreamingPolicy

Akış İlkesi kaynağı

Name Type Description
id
  • string

Kaynak için tam kaynak kimliği. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name
  • string

Kaynağın adı

properties.commonEncryptionCbcs

CommonEncryptionCbcs yapılandırması

properties.commonEncryptionCenc

CommonEncryptionCenc yapılandırması

properties.created
  • string

Akış İlkesi oluşturma zamanı

properties.defaultContentKeyPolicyName
  • string

Geçerli Akış İlkesi tarafından kullanılan varsayılan ContentKey

properties.envelopeEncryption

EnvelopeEncryption yapılandırması

properties.noEncryption

NoEncryption yapılandırmaları

systemData

Bu kaynakla ilgili sistem meta verileri.

type
  • string

Kaynağın türü. Örneğin "Microsoft.Compute/virtualMachines" veya "Microsoft. Depolama/storageAccounts"

StreamingPolicyContentKey

İçerik anahtarının özelliklerini belirtmek için sınıf

Name Type Description
label
  • string

Etiket, Akış Bulucu oluşturulurken İçerik Anahtarı belirtmek için kullanılabilir

policyName
  • string

İçerik Anahtarı tarafından kullanılan ilke

tracks

Bu içerik anahtarını kullananları izler

StreamingPolicyContentKeys

Akış İlkesi'nin tüm içerik anahtarlarının özelliklerini belirtmek için sınıfı

Name Type Description
defaultKey

Şifreleme şeması için varsayılan içerik anahtarı

keyToTrackMappings

Parçaların temsili için ayrı içerik anahtarı gerekir

StreamingPolicyFairPlayConfiguration

Akış Ilkesinde FairPlay konfigürasyonları belirten sınıf

Name Type Description
allowPersistentLicense
  • boolean

Tüm lisansın kalıcı olması veya olmaması

customLicenseAcquisitionUrlTemplate
  • string

Son Kullanıcı oynatıcılarına lisans teslim eden özel hizmetin URL 'SI için şablon. lisans vermek için Azure Media Services kullanılırken gerekli değildir. Şablon, hizmetin çalışma zamanında, isteğe özgü değerle güncelleşeceğini değiştirilebilen belirteçleri destekler. Şu anda desteklenen belirteç değerleri, istenen anahtarın tanımlayıcısı değeriyle değiştirilen Streaminglocatorıd. Alternativemediaıd ve {Contentkeyıd} değeriyle değiştirilen {Alternativemediaıd}.

StreamingPolicyPlayReadyConfiguration

Akış İlkesinde PlayReady yapılandırmalarını belirtme sınıfı

Name Type Description
customLicenseAcquisitionUrlTemplate
  • string

Son kullanıcı oyuncularına lisans teslimi özel hizmetin URL'si için şablon. Lisanslar için Azure Media Services kullanırken gerekli değildir. Şablon, hizmetin çalışma zamanında isteğine özgü değerle güncelleştirecek değiştirilebilir belirteçleri destekler. Şu anda desteklenen belirteç değerleri { AlternativeMediaId} değeridir ve bunun yerine StreamingLocatorId.AlternativeMediaId ve {ContentKeyId} değeri kullanılır. Bu değer, istenen anahtarın tanımlayıcısının değeriyle değiştirilir.

playReadyCustomAttributes
  • string

PlayReady için özel öznitelikler

StreamingPolicyWidevineConfiguration

Akış İlkesi'nde Widevine yapılandırmalarını belirtme sınıfı

Name Type Description
customLicenseAcquisitionUrlTemplate
  • string

Son kullanıcı oyuncularına lisans teslimi özel hizmetin URL'si için şablon. Lisanslar için Azure Media Services kullanırken gerekli değildir. Şablon, hizmetin çalışma zamanında isteğine özgü değerle güncelleştirecek değiştirilebilir belirteçleri destekler. Şu anda desteklenen belirteç değerleri, istenen anahtarın tanımlayıcısı değeriyle değiştirilen Streaminglocatorıd. Alternativemediaıd ve {Contentkeyıd} değeriyle değiştirilen {Alternativemediaıd}.

systemData

Kaynağın oluşturulması ve son değişikliğiyle ilgili meta veriler.

Name Type Description
createdAt
  • string

Kaynak oluşturma zaman damgası (UTC).

createdBy
  • string

Kaynağı oluşturan kimlik.

createdByType

Kaynağı oluşturan kimlik türü.

lastModifiedAt
  • string

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy
  • string

Kaynağı son değiştiren kimlik.

lastModifiedByType

Kaynağı son değiştiren kimliğin türü.

TrackPropertyCompareOperation

Özellik koşulu izleme işlemi

Name Type Description
Equal
  • string

Eşit işlem

Unknown
  • string

Bilinmeyen izleme özelliği karşılaştırma işlemi

TrackPropertyCondition

Tek bir izleme özelliği koşulu belirtmek için sınıf

Name Type Description
operation

Özellik koşulu işlemi izleme

property

Özellik türünü izleme

value
  • string

Özellik değerini izleme

TrackPropertyType

Özellik türünü izle

Name Type Description
FourCC
  • string

FourCC izi

Unknown
  • string

Bilinmeyen izleme özelliği

TrackSelection

İz seçmek için sınıf

Name Type Description
trackSelections

TrackSelections, izlemeleri belirten bir izleme özelliği koşul listesidir